LockServiceMXBean (Apache Geode 1.3.0)
Date: 2017-10-26

org.apache.geode.management

## Interface LockServiceMXBean

-     public interface LockServiceMXBean

  MBean that provides access to information and management functionality for a `DLockService`. Since any number of DLockService objects can be created by a member there may be 0 or more instances of this MBean available.
  Since:
    GemFire 7.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `becomeLockGrantor()` Requests that this member become the granter.
    `java.lang.String` | `fetchGrantorMember()` Returns of the name of the member which grants the lock.
    `int` | `getMemberCount()` Returns the number of members using this LockService.
    `java.lang.String[]` | `getMemberNames()` Returns a list of names of the members using this LockService.
    `java.lang.String` | `getName()` Returns the name of the lock service.
    `boolean` | `isDistributed()` Returns whether this is a distributed LockService.
    `boolean` | `isLockGrantor()` Returns whether this member is the granter.
    `java.lang.String[]` | `listHeldLocks()` Returns a list of names of the locks held by this member's threads.
    `java.util.Map<java.lang.String,java.lang.String>` | `listThreadsHoldingLock()` Returns a map of the names of the objects being locked on and the names of the threads holding the locks.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the name of the lock service.

    - #### isDistributed

          boolean isDistributed()

      Returns whether this is a distributed LockService.
      Returns:
        True is this is a distributed LockService, false otherwise.

    - #### getMemberCount

          int getMemberCount()

      Returns the number of members using this LockService.

    - #### fetchGrantorMember

          java.lang.String fetchGrantorMember()

      Returns of the name of the member which grants the lock.

    - #### getMemberNames

          java.lang.String[] getMemberNames()

      Returns a list of names of the members using this LockService.

    - #### isLockGrantor

          boolean isLockGrantor()

      Returns whether this member is the granter.
      Returns:
        True if this member is the granter, false otherwise.

    - #### becomeLockGrantor

          void becomeLockGrantor()

      Requests that this member become the granter.

    - #### listThreadsHoldingLock

          java.util.Map<java.lang.String,java.lang.String> listThreadsHoldingLock()

      Returns a map of the names of the objects being locked on and the names of the threads holding the locks.

    - #### listHeldLocks

          java.lang.String[] listHeldLocks()

      Returns a list of names of the locks held by this member's threads.